# ICMP_Socket.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/SOCK.h"`
`#include "ace/Time_Value.h"`
`#include "ace/os_include/netinet/os_in.h"`

Include dependency graph for ICMP_Socket.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_ICMP_Socket
| An abstract class that forms the basis for usage of the ICMP protocol (that is, support for things such as ping). More...

## Detailed Description

Id
  ICMP_Socket.h,v 1.5 2005/10/28 16:14:52 ossama Exp

Author:
  Robert S. Iakobashvili <coroberti@gmail.com> <coroberti@walla.co.il>

  Gonzalo A. Diethelm <gonzalo.diethelm@aditiva.com>